
import { Pos } from "../../geo/Pos"
import { Segment } from "../../components/arrows/BendableArrow"
import { ComponentId } from "./Tactic"

export enum ActionKind {
    SCREEN = "SCREEN",
    DRIBBLE = "DRIBBLE",
    MOVE = "MOVE",
    SHOOT = "SHOOT",
}

export type Action = { type: ActionKind } & MovementAction

export interface MovementAction {
    fromId: ComponentId
    toId?: ComponentId
    moveFrom: Pos
    segments: Segment[]
}
